if (info.SYSTEM_ID == "iPECS eMG80" || info.SYSTEM_ID == "iPECS eMG800") {
	var tmp_1 = {value: "1", option: langs.getText("common","internal_music")};
	var tmp_2 = {value: "2", option: langs.getText("common","extmusic")};
	var tmp_3 = {};
} else {
	var tmp_1 = {value: "1", option: langs.getText("common","intext_music")+" 1"};
	var tmp_2 = {value: "2", option: langs.getText("common","extmusic")+" 2"};
	var tmp_3 = {key: "pgm171_music_intext", tr: [{order: 1}, {label: langs.getText("common","intext_music")}, {name: "MUSIC_INTEXT", value: "", select: [{value: "0", option: langs.getText("common","internal_music")}, {value: "1", option: langs.getText("p171","opt_music_intext_ext")}], message: "", cont: 0}]};
}

var v_1 = tmp_1;
var v_2 = tmp_2;
var v_3 = tmp_3;

if(info.PHASE >= 2) {
	var moh1  = {value: "0",  option: langs.getText("common","first")};
	var moh2  = {value: "1",  option: langs.getText("common","second")};
	var moh3  = {value: "2",  option: langs.getText("common","third")};
	var moh4  = {value: "3",  option: langs.getText("common","fourth")};
	var moh5  = {value: "4",  option: langs.getText("common","fifth")};
	var moh6  = {value: "5",  option: langs.getText("common","sixth")};
	var moh7  = {value: "6",  option: langs.getText("common","seventh")};
	var moh8  = {value: "7",  option: langs.getText("common","eighth")};
	var moh9  = {value: "8",  option: langs.getText("common","nineth")};
	var moh10 = {value: "9",  option: langs.getText("common","tenth")};
	var moh11 = {value: "10", option: langs.getText("common","eleventh")};
	var moh12 = {value: "11", option: langs.getText("common","twelvth")};
	var moh13 = {value: "12", option: langs.getText("common","thirteenth")};
} else {
	var moh1  = {value: "0",  option: langs.getText("common","opt_melody0")};
	var moh2  = {value: "1",  option: langs.getText("common","opt_melody1")};
	var moh3  = {value: "2",  option: langs.getText("common","opt_melody2")};
	var moh4  = {value: "3",  option: langs.getText("common","opt_melody3")};
	var moh5  = {value: "4",  option: langs.getText("common","opt_melody4")};
	var moh6  = {value: "5",  option: langs.getText("common","opt_melody5")};
	var moh7  = {value: "6",  option: langs.getText("common","opt_melody6")};
	var moh8  = {value: "7",  option: langs.getText("common","opt_melody7")};
	var moh9  = {value: "8",  option: langs.getText("common","opt_melody8")};
	var moh10 = {value: "9",  option: langs.getText("common","opt_melody9")};
	var moh11 = {value: "10", option: langs.getText("common","opt_melody10")};
	var moh12 = {value: "11", option: langs.getText("common","opt_melody11")};
	var moh13 = {value: "12", option: langs.getText("common","opt_melody12")};
}
if(info.MAX_DISA_HUNT_ANNC_ALL) {
    var v_vsf_1 = {label: " (1 - "+info.MAX_DISA_HUNT_ANNC_ALL+")", cont: 1};
} else {
    var v_vsf_1 = {label: " (1 - 70)", cont: 1};
}
define(
    {elements:[
        {name:"tab1", tab: [
            {key: "pgm171_button", button: [{btn: langs.getText("common","btn_save"), btn_type: "btn_save auth_write"}]},
            {key: "pgm171_mktbl", table: [{label: langs.getText("common","order"), sort: "num"}, {label: langs.getText("common","attr")}, {label: langs.getText("common","val")}]},
			{key: "pgm171_music_bgm", tr: [{order: 1}, {label: langs.getText("common","bgm_type")}, {name: "MUSIC_BGM", value: "", select: [{value: "0", option: langs.getText("common","no_bgm")}, v_1, v_2, {value: "3", option: langs.getText("common","vsf_moh")}, {value: "4", option: langs.getText("common","slt_moh")+"1"}, {value: "5", option: langs.getText("common","slt_moh")+"2"}, {value: "6", option: langs.getText("common","slt_moh")+"3"}, {value: "7", option: langs.getText("common","slt_moh")+"4"}, {value: "8", option: langs.getText("common","slt_moh")+"5"}, {value: "9", option: langs.getText("common","vsf_moh")+"2"}, {value: "10", option: langs.getText("common","vsf_moh")+"3"}], message: "", cont: 0}]},
			{key: "pgm171_music_moh", tr: [{order: 1}, {label: langs.getText("common","moh_type")}, {name: "MUSIC_MOH", value: "", select: [{value: "0", option: langs.getText("common","hold_tone")}, v_1, v_2, {value: "3", option: langs.getText("common","vsf_moh")}, {value: "4", option: langs.getText("common","slt_moh")+"1"}, {value: "5", option: langs.getText("common","slt_moh")+"2"}, {value: "6", option: langs.getText("common","slt_moh")+"3"}, {value: "7", option: langs.getText("common","slt_moh")+"4"}, {value: "8", option: langs.getText("common","slt_moh")+"5"}, {value: "9", option: langs.getText("common","vsf_moh")+"2"}, {value: "10", option: langs.getText("common","vsf_moh")+"3"}], message: "", cont: 0}]},
			v_3,
			{key: "pgm171_music_melody", tr: [{order: 1}, {label: langs.getText("common","melody")}, {name: "MUSIC_MELODY", value: "", select: [moh1, moh2, moh3, moh4, moh5, moh6, moh7, moh8, moh9, moh10, moh11, moh12, moh13], message: "", cont: 0}]},
			{key: "pgm171_slt_type", th: [{label: ""}, {label: langs.getText("p171","slt_type")}, {label: langs.getText("common","sta_num")}]},
			{key: "pgm171_music_sltmoh1", tr: [{order: 1}, {label: langs.getText("common","slt_moh")+" 1"}, {name: "MUSIC_SLTMOH1", value: "", textfield: [{max: 8, size: 8}], message: "", cont: 0}]},
			{key: "pgm171_music_sltmoh2", tr: [{order: 1}, {label: langs.getText("common","slt_moh")+" 2"}, {name: "MUSIC_SLTMOH2", value: "", textfield: [{max: 8, size: 8}], message: "", cont: 0}]},
			{key: "pgm171_music_sltmoh3", tr: [{order: 1}, {label: langs.getText("common","slt_moh")+" 3"}, {name: "MUSIC_SLTMOH3", value: "", textfield: [{max: 8, size: 8}], message: "", cont: 0}]},
			{key: "pgm171_music_sltmoh4", tr: [{order: 1}, {label: langs.getText("common","slt_moh")+" 4"}, {name: "MUSIC_SLTMOH4", value: "", textfield: [{max: 8, size: 8}], message: "", cont: 0}]},
			{key: "pgm171_music_sltmoh5", tr: [{order: 1}, {label: langs.getText("common","slt_moh")+" 5"}, {name: "MUSIC_SLTMOH5", value: "", textfield: [{max: 8, size: 8}], message: "", cont: 0}]},
			{key: "pgm171_ext_assign", th: [{label: ""}, {label: langs.getText("p171","ext_assign")}, {label: langs.getText("p171","vsf_no")}]},
			{key: "pgm171_music_vsfmoh2", tr: [{order: 1}, {label: langs.getText("common","vsf_moh")+" 2"}, {name: "MUSIC_VSFMOH2", value: "", textfield: [{max: 3, size: 5}], message: "", cont: 0}, v_vsf_1]},
			{key: "pgm171_music_vsfmoh3", tr: [{order: 1}, {label: langs.getText("common","vsf_moh")+" 3"}, {name: "MUSIC_VSFMOH3", value: "", textfield: [{max: 3, size: 5}], message: "", cont: 0}, v_vsf_1]}
		]}
	]}
);
